function init(hero) {
    hero.setName("The One");
    hero.setTier(4);
    
    hero.setChestplate("Ring");
    
    hero.addPowers("legacyheroes:the_power_of_mt_doom");

    hero.addAttribute("PUNCH_DAMAGE", 6.0, 0);
    hero.addAttribute("WEAPON_DAMAGE", 3.0, 0);
    hero.addAttribute("JUMP_HEIGHT", 1.0, 0);
    hero.addAttribute("FALL_RESISTANCE", 12.0, 0);
    
    hero.addKeyBind("INVISIBILITY", "Invisibility", 1);
    
    hero.setHasProperty(hasProperty);
}

function hasProperty(entity, property) {
    return property == "BREATHE_SPACE";
}
